%define upstream_name    Devel-Trepan-Disassemble
%define upstream_version 2.0.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-v%{upstream_version}.tar.gz

BuildRequires: perl(B::Concise)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::Callsite) >= 0.60.0
BuildRequires: perl(Devel::Trepan) >= 0.560.0
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Module::Build) >= 0.320.0
BuildRequires: perl(Syntax::Highlight::Perl::Improved) >= 1.10.0
BuildRequires: perl(Test::Simple) >= 0.810.0
BuildRequires: perl(rlib) >= 0.20.0
BuildArch:  noarch

%description
*disassemble* [_options_] [_subroutine_|_package-name_ ...]

_options_:

    -concise
    -terse
    -linenoise
    -debug
    -compact
    -exec
    -tree
    -loose
    -vt
    -ascii
    -from <line-number>
    -to <line-number>

%prep
%setup -q -n %{upstream_name}-v%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog Changes META.json META.yml MYMETA.yml README SIGNATURE example
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.0.2-2.mga6
+ Revision: 1025667
- Rebuild for perl 5.22.2

* Thu Apr 21 2016 tv <tv> 2.0.2-1.mga6
+ Revision: 1003963
- new version (that pass tests)

* Thu Jan 28 2016 umeabot <umeabot> 1.990.0-4.mga6
+ Revision: 928482
- Mageia 6 Mass Rebuild
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 1.990.0-1.mga5
+ Revision: 624213
- update to 1.99

* Mon Oct 21 2013 umeabot <umeabot> 1.900.0-2.mga4
+ Revision: 537079
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.900.0-1.mga4
+ Revision: 486228
- update to 1.9

* Wed Jan 23 2013 jquelin <jquelin> 1.800.0-2.mga3
+ Revision: 391484
- update to 1.8

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 1.700.0-1.mga3
+ Revision: 308701
- imported package perl-Devel-Trepan-Disassemble


* Sun Oct 21 2012 cpan2dist 1.7-1mga
- initial mageia release, generated with cpan2dist
